<?php
/**
 * @package     Exemplos de uso do Framework Joomla
 * @subpackage  Exemplo de uso do database
 * @author		Johnny Salazar Reidel
 * @email		johnny@noboss.com.br
 * @copyright   No Boss Tecnologia
 *
 * @note		
 *	- O exemplo a seguir mostra uma simples consulta SQL em uma base de dados.
 *	- Todas as funcoes database utilizadas pelo CMS do Joomla também funcionam a partir da classe instanciada no exemplo abaixo
 */

// Necessário para trabalhar com os namespaces
require_once __DIR__ . '/vendor/' . '/autoload.php';

// Classe conexao com banco
use Joomla\Database\DatabaseDriver;

// Dados para a conexão com o banco de dados
$optionsDb = array(
	'driver' => 'mysql',
	'database' => 'johnny',
	'prefix' => 'jr_',
	'user' => 'root',
	'password' => '',
	'host' => 'localhost'
);

// Instancia objeto do banco de dados
$db = DatabaseDriver::getInstance($optionsDb);

// Exemplo de consulta SQL
$query = $db->setQuery('SELECT * FROM #__content');
$results = $query->loadObjectList();

// Exemplo de insert SQL
$objeto = new stdClass();
$objeto->dado1 = '12223332';
$objeto->dado2 = '43433434';

$result = $db->insertObject('#__tabela', $objeto); 

// Update precisa especificar a cláusula de edição (neste caso o ID)
//$db->updateObject('#__users', $user, 'id'));


//$db->setQuery("DELETE FROM #__user_usergroup_map WHERE user_id = '{$user->id}'");
//$query->execute()
?>